using System;

namespace DrawablePlugIns
{
	// Separate DLL used to create a new concrete class Triangle
	// This DLL can then be added to a "plugins" folder
	// An application can then dynamically add the Triangle class
	// at runtime!
	using System;
	using System.Drawing; // project references System.Drawing.dll
	using JALInterfaces; // project references JALInterfaces.dll

	// Create a new concrete class Triangle to be loaded dynamically
	public class Triangle : AbstractDrawableShape
	{
		public override void DrawYourself(Graphics g)
		{
			Pen p= new Pen(Color,BrushWidth);
			Point point1= new Point(Position.X+Size/2,Position.Y);
			Point point2= new Point(Position.X,Position.Y+Size);
			Point point3= new Point(Position.X+Size,Position.Y+Size);
			Point[] points= {point1,point2,point3};
			g.DrawPolygon(p,points);
		}
				
	}
}
